<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
    <meta name="GENERATOR" content="Quadralay WebWorks Publisher Professional Edition 6.0.7" />
    <meta name="TEMPLATEBASE" content="DataDirect WWH 2.0" />
    <meta name="LASTUPDATED" content="09/05/02 10:59:29" />
    <title>Data Types</title>
    <link rel="StyleSheet" href="document.css" type="text/css" media="screen" />
  </head>

  <body>
    <script type="text/javascript" language="JavaScript">
     <!--
      function  WWHUpdateFavorite(ParamHREF)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fUpdateFavorite(ParamHREF);
        }
      }

      function  WWHSyncTOC(ParamHREF)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fSyncTOC(ParamHREF);
        }
      }

      function  WWHShowPopup(ParamContext,
                             ParamLink,
                             ParamEvent)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fShowPopup(ParamContext, ParamLink, ParamEvent);
        }
      }

      function  WWHHidePopup()
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fHidePopup();
        }
      }

      function  WWHClickedPopup(ParamContext,
                                ParamLink)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          location.href = parent.WWHelpFrameSet.fClickedPopup(ParamContext, ParamLink);
        }
      }
     // -->
    </script>

    <script type="text/javascript" language="JavaScript">
     <!--
      var  WWHelpHREF = location.href;


      WWHUpdateFavorite(WWHelpHREF);
     // -->
    </script>

    <blockquote>
<h2 id="920597" class="NewHTMLPage">
  <a name="920597"> </a>Data Types
</h2><hr />
<p id="920601" class="Body">
  <a name="920601"> </a><a href="jdbcsqlsrv5.html#916572">Table 3-2</a> lists the data types supported by the SQL Server driver and how they are mapped to the JDBC data types.
</p>
<p id="916464" class="Body">
  <a name="916464"> </a>

<table border="1" cellpadding="5" cellspacing="0">
  <caption><a name="916572"> </a><div id="916572" class="TableTitle">Table 3-2.  SQL Server 2000 Data Types  </div></caption>
  <tr bgcolor="#FFFFFF" valign="bottom">
    <th><a name="916345"> </a><div id="916345" class="CellHeading">SQL Server Data Type</div></th>
    <th><a name="916347"> </a><div id="916347" class="CellHeading">JDBC Data Type</div></th>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="920165"> </a><div id="920165" class="CellBody">bigint</div></td>
    <td bgcolor="#E6E6E6"><a name="920167"> </a><div id="920167" class="CellBody">BIGINT</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="920169"> </a><div id="920169" class="CellBody">bigint identity</div></td>
    <td bgcolor="#E6E6E6"><a name="920171"> </a><div id="920171" class="CellBody">BIGINT</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916349"> </a><div id="916349" class="CellBody">binary</div></td>
    <td bgcolor="#E6E6E6"><a name="916351"> </a><div id="916351" class="CellBody">BINARY</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916353"> </a><div id="916353" class="CellBody">bit</div></td>
    <td bgcolor="#E6E6E6"><a name="916355"> </a><div id="916355" class="CellBody">BIT</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916357"> </a><div id="916357" class="CellBody">char</div></td>
    <td bgcolor="#E6E6E6"><a name="916359"> </a><div id="916359" class="CellBody">CHAR</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916361"> </a><div id="916361" class="CellBody">datetime</div></td>
    <td bgcolor="#E6E6E6"><a name="916363"> </a><div id="916363" class="CellBody">TIMESTAMP</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916365"> </a><div id="916365" class="CellBody">decimal</div></td>
    <td bgcolor="#E6E6E6"><a name="916367"> </a><div id="916367" class="CellBody">DECIMAL</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916369"> </a><div id="916369" class="CellBody">decimal() identity</div></td>
    <td bgcolor="#E6E6E6"><a name="916371"> </a><div id="916371" class="CellBody">DECIMAL</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916373"> </a><div id="916373" class="CellBody">float</div></td>
    <td bgcolor="#E6E6E6"><a name="916375"> </a><div id="916375" class="CellBody">FLOAT</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916377"> </a><div id="916377" class="CellBody">image</div></td>
    <td bgcolor="#E6E6E6"><a name="916379"> </a><div id="916379" class="CellBody">LONGVARBINARY</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916381"> </a><div id="916381" class="CellBody">int</div></td>
    <td bgcolor="#E6E6E6"><a name="916383"> </a><div id="916383" class="CellBody">INTEGER</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916385"> </a><div id="916385" class="CellBody">int identity</div></td>
    <td bgcolor="#E6E6E6"><a name="916387"> </a><div id="916387" class="CellBody">INTEGER</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916389"> </a><div id="916389" class="CellBody">money</div></td>
    <td bgcolor="#E6E6E6"><a name="916391"> </a><div id="916391" class="CellBody">DECIMAL</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="919732"> </a><div id="919732" class="CellBody">nchar</div></td>
    <td bgcolor="#E6E6E6"><a name="919734"> </a><div id="919734" class="CellBody">CHAR</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="919740"> </a><div id="919740" class="CellBody">ntext</div></td>
    <td bgcolor="#E6E6E6"><a name="919742"> </a><div id="919742" class="CellBody">LONGVARCHAR</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916405"> </a><div id="916405" class="CellBody">numeric</div></td>
    <td bgcolor="#E6E6E6"><a name="916407"> </a><div id="916407" class="CellBody">NUMERIC</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916409"> </a><div id="916409" class="CellBody">numeric() identity</div></td>
    <td bgcolor="#E6E6E6"><a name="916411"> </a><div id="916411" class="CellBody">NUMERIC</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="919754"> </a><div id="919754" class="CellBody">nvarchar</div></td>
    <td bgcolor="#E6E6E6"><a name="919756"> </a><div id="919756" class="CellBody">VARCHAR</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916413"> </a><div id="916413" class="CellBody">real</div></td>
    <td bgcolor="#E6E6E6"><a name="916415"> </a><div id="916415" class="CellBody">REAL</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916417"> </a><div id="916417" class="CellBody">smalldatetime</div></td>
    <td bgcolor="#E6E6E6"><a name="916419"> </a><div id="916419" class="CellBody">TIMESTAMP</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916421"> </a><div id="916421" class="CellBody">smallint</div></td>
    <td bgcolor="#E6E6E6"><a name="916423"> </a><div id="916423" class="CellBody">SMALLINT</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916425"> </a><div id="916425" class="CellBody">smallint identity</div></td>
    <td bgcolor="#E6E6E6"><a name="916427"> </a><div id="916427" class="CellBody">SMALLINT</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916429"> </a><div id="916429" class="CellBody">smallmoney</div></td>
    <td bgcolor="#E6E6E6"><a name="916431"> </a><div id="916431" class="CellBody">DECIMAL</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="920514"> </a><div id="920514" class="CellBody">sql_variant</div></td>
    <td bgcolor="#E6E6E6"><a name="920516"> </a><div id="920516" class="CellBody">VARCHAR</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916433"> </a><div id="916433" class="CellBody">sysname</div></td>
    <td bgcolor="#E6E6E6"><a name="916435"> </a><div id="916435" class="CellBody">VARCHAR</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916437"> </a><div id="916437" class="CellBody">text</div></td>
    <td bgcolor="#E6E6E6"><a name="916439"> </a><div id="916439" class="CellBody">LONGVARCHAR</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916441"> </a><div id="916441" class="CellBody">timestamp</div></td>
    <td bgcolor="#E6E6E6"><a name="916443"> </a><div id="916443" class="CellBody">BINARY</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916445"> </a><div id="916445" class="CellBody">tinyint</div></td>
    <td bgcolor="#E6E6E6"><a name="916447"> </a><div id="916447" class="CellBody">TINYINT</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916449"> </a><div id="916449" class="CellBody">tinyint identity</div></td>
    <td bgcolor="#E6E6E6"><a name="916451"> </a><div id="916451" class="CellBody">TINYINT</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916453"> </a><div id="916453" class="CellBody">uniqueidentifier</div></td>
    <td bgcolor="#E6E6E6"><a name="916455"> </a><div id="916455" class="CellBody">CHAR</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916457"> </a><div id="916457" class="CellBody">varbinary</div></td>
    <td bgcolor="#E6E6E6"><a name="916459"> </a><div id="916459" class="CellBody">VARBINARY</div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="916461"> </a><div id="916461" class="CellBody">varchar</div></td>
    <td bgcolor="#E6E6E6"><a name="916463"> </a><div id="916463" class="CellBody">VARCHAR</div></td>
  </tr>
</table>




</p>
    </blockquote>

    <hr />

    <table border="0">
      <tr>
        <td width="23">
<a href="jdbcsqlsrv4.html">
      <img alt="Previous Document" border="0" src="images/prev.gif" width="23" height="21" />
    </a>
        </td>
        <td width="23" class="CellBody">
        Previous Page       
        </td>
        <td width="23">
<a href="jdbcsqlsrv6.html">
      <img alt="Next Document" border="0" src="images/next.gif" width="23" height="21" />
    </a>
        </td>
        <td width="23" class="CellBody">
        Next Page       
        </td>
        <td width="23">
          <a href="javascript:WWHSyncTOC(WWHelpHREF);">
            <img alt="Synchronize TOC" border="0" src="images/sync.gif" width="23" height="21" />
          </a>
        </td>
        <td width="120" class="CellBody">
        Synchronize with Contents
        </td>
      </tr>
    </table>

   <div id="WWHelpPopupDIV" style="position: absolute ; z-index: 1 ; visibility: hidden ; top: 0px ; left: 0px">
    <script type="text/javascript" language="JavaScript">
     <!--
      if ((parent != null) &&
          (parent.WWHelpFrameSet != null))
      {
        if (document.all != null)  // Non-Netscape browser
        {
          document.writeln(parent.WWHelpFrameSet.mPopup.fFormat("Popup"));
        }
      }
     // -->
    </script>
   </div>
  </body>
</html>
